[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# UnicodeToLower

Transform unicode string to lowercase

## Declaration

Source position: unicodedata.pas line 487

`function UnicodeToLower(`
`const AString: UnicodeString;`
`const AIgnoreInvalidSequence: Boolean;`
`out AResultString: UnicodeString`
`):Integer;`

## Arguments

`AString` |  | String to convert to lowercase.
`AIgnoreInvalidSequence` |  | Set to true to ignore invalid characters.
`AResultString` |  | Lowercase equivalent of AString

## Function result

Zero if all went well, nonzero indicates an error.

## Description

UnicodeToLower transforms a UTF16 unicode string AString to its lowercase equivalent and returns this in AResultString. If the transformation was successful, then the function returns 0. A nonzero return value means an error occurred. AResultString will remain untouched in that case.

If a character in AString cannot be found in the unicode data tables, an error will be reported, unless AIgnoreInvalidSequence is set to True, in which case the character will be copied as-is to the output.

Unicode collation data can be loaded using RegisterCollation or LoadCollation

## Errors

On error, a nonzero value will be returned.

## See also

UnicodeToUpper |  | Transform unicode string to uppercase
RegisterCollation |  | Register a new collation
LoadCollation |  | Load a binary collation data file from file